Delete Attack Discovery schedule

Base URL
https://{kibana_url}
  • DELETE /api/attack_discovery/schedules/{id}
Auth

Permanently deletes an Attack Discovery schedule and all associated configuration.

Path parameters

id string · format: nonempty · min length: 1 required

The unique identifier (UUID) of the Attack Discovery schedule to delete. This ID is returned when creating a schedule and can be found in schedule listings.

Example: 12345678-1234-1234-1234-123456789012

Responses

Successfully deleted Attack Discovery schedule, returning the ID of the deleted schedule for confirmation

application/json
id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters.

Bad Request response.

application/json
error string

Error type

message string

Human-readable error message describing what went wrong

status_code number

HTTP status code

Base URL
https://{kibana_url}